<?php

namespace Drupal\private_messenger\Form;

use Drupal\Core\Entity\ContentEntityForm;
use Drupal\Core\Form\FormStateInterface;

/**
 * Form controller for the private messenger message entity edit forms.
 */
class PrivateMessengerMessageForm extends ContentEntityForm {

  /**
   * {@inheritdoc}
   */
  public function save(array $form, FormStateInterface $form_state) {

    $entity = $this->getEntity();
    $result = $entity->save();
    $link = $entity->toLink($this->t('View'))->toRenderable();

    $message_arguments = ['%label' => $this->entity->label()];
    $logger_arguments = $message_arguments + ['link' => render($link)];

    if ($result == SAVED_NEW) {
      $this->messenger()->addStatus($this->t('New private messenger message %label has been created.', $message_arguments));
      $this->logger('private_messenger')->notice('Created new private messenger message %label', $logger_arguments);
    }
    else {
      $this->messenger()->addStatus($this->t('The private messenger message %label has been updated.', $message_arguments));
      $this->logger('private_messenger')->notice('Updated new private messenger message %label.', $logger_arguments);
    }

    $form_state->setRedirect('entity.private_messenger_message.canonical', ['private_messenger_message' => $entity->id()]);
  }

}
